package com.ruoyi.predict.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * ForecastReport对象 forecast_report
 *
 * @author hlf
 * @date 2022-10-26
 */
public class ForecastReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long terminalNo;

    private Long terminalType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;

    private Long statTag;

    private Long reportTag;

    private String terminalNameW;

    private String terminalNameP;

    public void setTerminalNo(Long terminalNo) {
        this.terminalNo = terminalNo;
    }

    public Long getTerminalNo() {
        return terminalNo;
    }

    public void setTerminalType(Long terminalType) {
        this.terminalType = terminalType;
    }

    public Long getTerminalType() {
        return terminalType;
    }

    public void setReportTime(Date reportTime) {
        this.reportTime = reportTime;
    }

    public Date getReportTime() {
        return reportTime;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setStatTag(Long statTag) {
        this.statTag = statTag;
    }

    public Long getStatTag() {
        return statTag;
    }

    public Long getReportTag() {
        return reportTag;
    }

    public void setReportTag(Long reportTag) {
        this.reportTag = reportTag;
    }

    public String getTerminalNameW() {
        return terminalNameW;
    }

    public void setTerminalNameW(String terminalNameW) {
        this.terminalNameW = terminalNameW;
    }

    public String getTerminalNameP() {
        return terminalNameP;
    }

    public void setTerminalNameP(String terminalNameP) {
        this.terminalNameP = terminalNameP;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("terminalNo", getTerminalNo())
                .append("terminalType", getTerminalType())
                .append("reportTime", getReportTime())
                .append("dataTime", getDataTime())
                .append("statTag", getStatTag())
                .append("reportTag", getReportTag())
                .toString();
    }
}
